Bug 834587 - [abrt] gimp-2.8.0-1.fc17: pango_ot_info_get: Process /usr/bin/gimp-2.8 was killed by signal 11 (SIGSEGV)
[abrt] gimp-2.8.0-1.fc17: pango_ot_info_get: Process /usr/bin/gimp-2.8 was ki...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:50f61674658f11f76a21dbe1d8a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 10:05 EDT by Fernando Pereira dos Santos
Modified: 2012-11-13 08:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 08:15:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (5.84 KB, text/plain)
2012-06-22 10:05 EDT, Fernando Pereira dos Santos
no flags Details
File: backtrace (44.41 KB, text/plain)
2012-06-22 10:05 EDT, Fernando Pereira dos Santos
no flags Details
File: maps (22.94 KB, text/plain)
2012-06-22 10:05 EDT, Fernando Pereira dos Santos
no flags Details
File: dso_list (7.04 KB, text/plain)
2012-06-22 10:05 EDT, Fernando Pereira dos Santos
no flags Details

  None (edit)
Description Fernando Pereira dos Santos 2012-06-22 10:05:36 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gimp-2.8
crash_function: pango_ot_info_get
executable:     /usr/bin/gimp-2.8
kernel:         3.4.0-1.fc17.i686
pid:            8432
pwd:            /home/ferox/Documents
time:           Thu 14 Jun 2012 09:06:16 PM BRT
uid:            1000
username:       ferox
xsession_errors: 

backtrace:      Text file, 45471 bytes
dso_list:       Text file, 7207 bytes
event_log:      Text file, 5985 bytes
maps:           Text file, 23495 bytes

build_ids:
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:3366abab2db5673d1338917aad1ceeaa2740d658
:0a1a8bf5237a71d763d23520783335c8fe6c31dd
:57d6de5ff5536ed125c804f036da93c46399c6e4
:e34e1a4927be8e06466b6d3a64346abe2430d84a
:7c24bcde3b249e8a21e8cf10b4332c8c9e8bbf69
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:9aea670864d2a34a222fd110376f7946b702de7c
:a9580794bfc6165a1f9cbef59f20c90d46c59980
:92aaf9e3a33962226af01da69620e9be799859d4
:6d46d98453ff489c4dec2e5481ad23237d90c34c
:35b89ab09e065e4da8f417312ca2f1105efc0a01
:41117e3a013cc81dbea5e4f7f139b5d6c0c376da
:afd868671146304afd796b37228a36c00402a82e
:8d3308331c237b31f5e500d73e249edd53676aec
:bd79dd5be48341d1cf2f876ef44672742932b294
:1b21fcf4795a9afb6600de1f1422739e8ab73cfd
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:15beedcb299b506c9c6a09bdfed67a02095644a5
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82
:e694598051b25f56beffee93647f9dee85b7f032
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:030b5d1726ecd29df95bdeeff0b2d62043833fee
:041b1ca82bfec5b8951e1743dbfcb3f87ea1b6fb
:8edc90c48c16c90d1d24c31e2b4753253dfd2657
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:848a04e2a6ce321422123dd4369d8fff2214d349
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:606656989f8fddd618507489cf8a38bd668f1f0f
:4766d96e19faf4e874c15cfb89feba118b91c6e6
:de77b9c1ea8f88712017f4d99ad3d86726f54023
:757d0ed5f496fc377d8558caf8987cefa4679f96
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:bef638b29fdf84e92e8f33383eb8adb175128188
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:fb2937738211d999ca6946e653412fbfabb1f613
:b1c6f9019f56664ba42d872575fa6a304b638175
:d1a6edc594e80ce8b7f8fcb0c8150e1276fee8bb
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:021f8dfe3db862280d1c8807008648e7f30096b3
:9beab8b9c312fd510923816b78f352d62b1fc210
:c8c155acc515416efd9d0e407ec2667e30f58083
:327661a5f401b69a985e63c374da3357fb7bd155
:c7112059d672dfb1b17ed4be88fa89f30b547841
:ba394981e2d0d91cef90fee9e90cfbd63a209035
:89eb2f6952fb7661e090104918a31333aeca8802
:6a6026ee8bb6ea65e54ec45a02a439d218dfcd0b
:0db1085b6f5f26681999bf8762e7374bb8179395
:019e42ad205179335b27f2a79a873fda88ed21a3
:de9d7cbf664acdddd5f97fc560de561108ec67e7
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:3e8db068ebbfae69654767b42d9b0475c53121e7
:afca26f2408cdacfcd92a4d5515ab3a7c6735fd6
:c25f4a34816c8918d5cce3f8b7a851948c6db023
:58c8cef120f1482880240f8c8a21b090c8668f77
:1bc88e8fd12544b805206e7b8e630fef075ac7b2
:6edb8b28a3328dc44335b7e3ea9450ddbbf9440b
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5
:5b5557b5b0427930b220a00961393e29809c42f0
:6827db64bf037f6de97ac9f37d50f32f343930a4
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:a7220734c445e5d30d0f73b53e71afbb59983480
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:4a18cece7105bb73a4f2c3ad540803eb237e7543
:acccee84fefeebf82dea74d95ce0369573298fe3
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:c231c23d958aa42bb98f000cee5a9a11e090249d
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ferox/9

core_backtrace:
:848a04e2a6ce321422123dd4369d8fff2214d349 0xe5c9 pango_ot_info_get libpangoft2-1.0.so.0 -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x3ace67 - [pie] -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x39f3c9 gimp_viewable_get_preview [pie] -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x39f483 - [pie] -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x39f8d9 gimp_viewable_get_pixbuf [pie] -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x232be3 - [pie] -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x230c1b - [pie] -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x232a42 gimp_view_renderer_draw [pie] -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x23defe - [pie] -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x880bd gtk_cell_renderer_render libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x295e3a - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x296aaa - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x27ddbb - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x27f15f - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x150f62 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xbbbe - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1e6e8 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26a4e g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x2a6e03 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14f0c7 gtk_main_do_event libgtk-x11-2.0.so.0 -
:58c8cef120f1482880240f8c8a21b090c8668f77 0x3fb60 - libgdk-x11-2.0.so.0 -
:58c8cef120f1482880240f8c8a21b090c8668f77 0x3fbb3 - libgdk-x11-2.0.so.0 -
:58c8cef120f1482880240f8c8a21b090c8668f77 0x7bf84 - libgdk-x11-2.0.so.0 -
:58c8cef120f1482880240f8c8a21b090c8668f77 0x3a132 - libgdk-x11-2.0.so.0 -
:58c8cef120f1482880240f8c8a21b090c8668f77 0x3c8d8 gdk_window_process_updates libgdk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x285264 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb4f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x64492 gtk_adjustment_value_changed libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x27a266 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x27c1c9 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x27cc15 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x27ccea - libgtk-x11-2.0.so.0 -
:58c8cef120f1482880240f8c8a21b090c8668f77 0x15afc - libgdk-x11-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x44a31 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x7e258 app_run [pie] -
:e26aa2c0907b69a8623f6b8ff23677e48df3e1a5 0x7dc3e main [pie] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=9
:SSH_AGENT_PID=7907
:HOSTNAME=skywalker
:DM_CONTROL=/var/run/xdmctl
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/ferox/.gtkrc-2.0:/home/ferox/.gtkrc-2.0-kde4:/home/ferox/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=ferox
:XCURSOR_SIZE=0
:SSH_AUTH_SOCK=/tmp/ssh-LdCqmgwp7868/agent.7868
:MAIL=/var/spool/mail/ferox
:DESKTOP_SESSION=default
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/ferox/.local/bin:/home/ferox/bin
:PWD=/home/ferox
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/ferox
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=TheCandyman01
:LOGNAME=ferox
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dNmy6GC5RY,guid=ce4ca2e5df5b6a22b128971c00005617
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ferox
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/ferox/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:XAUTHORITY=/tmp/kde-ferox/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/7962,unix/unix:/tmp/.ICE-unix/7962
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/ferox/.gtkrc:/home/ferox/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=skywalker;1339718746;382066;7972_TIME22343312

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23577                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23577                23577                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[236412]
:1:/home/ferox/.xsession-errors
:2:/home/ferox/.xsession-errors
:3:socket:[243880]
:4:anon_inode:[eventfd]
:5:socket:[243121]
:6:anon_inode:[eventfd]
:7:pipe:[243928]
:8:/home/ferox/.gimp-2.8/gimpswap.8432
:9:socket:[243138]
:10:anon_inode:inotify

smolt_data:
:
:
:General
:=================================
:UUID: 7e52a72d-85f1-42e2-8e93-98f3e7cf3552
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3989.88
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T5800  @ 2.00GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 2963
:System Swap: 5023
:Vendor: Hewlett-Packard
:System: Compaq Presario CQ50 Notebook PC PCID
:Form factor: Notebook
:Kernel: 3.4.3-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10521:4156:13835) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(5772:28:4156:4987) pci, ath5k, ETHERNET, AR242x / AR542x Wireless Network Adapter (PCI-Express)
:(32902:10818:4156:13835) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4156:13835) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4156:13835) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4156:13835) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(4332:33078:4156:13835) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10546:4156:13835) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:10558:4156:13835) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4156:13835) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10549:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4156:13835) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:4156:13835) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10548:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4156:13835) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10550:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4156:13835) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:13835) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_skywalker-lv_root / ext4 4096 4096 13091841 10344705 10213672 3276800 3027396 3027396
:/dev/sda1 /boot ext4 1024 1024 508644 402783 377183 128016 127619 127619
:/dev/mapper/vg_skywalker-lv_home /home ext4 4096 4096 24503699 22510139 21282978 6135808 6088697 6088697
:

var_log_messages:
:Jun 11 15:13:14 skywalker yum[6362]: Installed: 2:gimp-2.8.0-1.fc17.i686
:Jun 14 21:06:16 skywalker kernel: [22373.398446] gimp-2.8[8432]: segfault at 2c ip 009ce5c9 sp bfeaeee0 error 4 in libpangoft2-1.0.so.0.3000.0[9c0000+2e000]
:Jun 14 21:06:17 skywalker abrt[8439]: Saved core dump of pid 8432 (/usr/bin/gimp-2.8) to /var/spool/abrt/ccpp-2012-06-14-21:06:16-8432 (64421888 bytes)
Comment 1 Fernando Pereira dos Santos 2012-06-22 10:05:42 EDT
Created attachment 593756 [details]
File: event_log
Comment 2 Fernando Pereira dos Santos 2012-06-22 10:05:45 EDT
Created attachment 593757 [details]
File: backtrace
Comment 3 Fernando Pereira dos Santos 2012-06-22 10:05:49 EDT
Created attachment 593758 [details]
File: maps
Comment 4 Fernando Pereira dos Santos 2012-06-22 10:05:55 EDT
Created attachment 593759 [details]
File: dso_list
Comment 5 Nils Philippsen 2012-06-25 05:22:40 EDT
What did you do before gimp crashed? Can you reproduce this?

Note You need to log in before you can comment on or make changes to this bug.